<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <title>Tabella | Rubrica JS</title>

    <!-- Descrizione max 160 caratteri -->
    <meta name="description"
        content="Seconda esercitazione in classe di Martedì 7 Maggio 2019. Una rubrica con una grafica migliore">

    <!-- Font awesome -->
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/all.css"
        integrity="sha384-50oBUHEmvpQ+1lW4y57PTFmhCaXp0ML5d60M1M7uH2+nqUivzIebhndOJK28anvf" crossorigin="anonymous">

    <!-- STYLE -->

    <!-- foglio di reset per rendere omogenea la grafica di base su tutti i browser (normalize.css) -->
    <link rel="stylesheet" href="/css/normalize.css">

    <!-- Variabili del tema -->
    <link rel="stylesheet" href="/css/theme/light.css">

    <!-- Stile globale -->
    <link rel="stylesheet" href="/css/style.css">

    <!-- Stile della pagina -->
    <link rel="stylesheet" href="/css/table.css">

    <!-- SCRIPT -->

    <!-- Script common -->
    <script src="/js/common.js"></script>
    
    <!-- Script api users -->
    <script src="/js/userApi.js"></script>

    <!-- Script della pagina -->
    <script src="/js/table.js"></script>

</head>

<body onload="return getTablePersons()">
    <header>
        <h1><i class="fa fa-phone-square"></i> <a href="/">Rubrica JS</a></h1>
    </header>

    <!-- AGGIUNGI PERSONA -->
    <section id="section-add-person" class="container">
        <form onsubmit="return addTablePerson(this,event)">
            <h4 class="add-person-title">Nuova persona</h4>
            <div class="add-person-fields">
                <div class="add-person-field input">
                    <input placeholder="nome" name="name">
                </div>
                <div class="add-person-field input">
                    <input placeholder="cognome" name="surname">
                </div>
                <div class="add-person-field button">
                    <button>Aggiungi</button>
                </div>
            </div>
        </form>
    </section>

    <!-- RICERCA PERSONA -->
    <section id="section-search-person" class="container">
        <form  onsubmit="return searchTablePerson(event)">
            <h4 class="search-person-title">Ricerca persona per cognome</h4>
            <div class="search-person-fields">
                <div class="search-person-field search">
                    <input placeholder="cognome" autocomplete="off" name="search" onkeyup="searchTablePerson(event)">
                </div>
                <span class="search-person-field reset" onclick="resetSearchTablePerson()">
                    <i class="fa fa-times"></i>
                </span>
            </div>
        </form>
    </section>
    

    <!-- TABLE -->
    <section id="section-table" class="container">
        <div class="table-wrapper">
            <table>
                <thead>
                    <tr>
                        <th>ID</th>
                        <th>Nome</th>
                        <th>Cognome</th>
                        <th>&nbsp;</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td colspan="4"><em>caricamento degli utenti...</em></td>
                    </tr>
                    <!-- <tr>
                        <td class="person-id" title="Apri la pagina di dettaglio"><a href="/views/contacts/1.html">1</a></td>
                        <td>Daniel</td>
                        <td>Zotti</td>
                        <td><i class="fa fa-trash"></i></td>
                    </tr> -->
                </tbody>
            </table>
        </div>
    </section>
</body>

</html>